extend("fiskheroes:hero_basic");
loadTextures({
    "layer1": "tgheroes:militant/millitant_gy_noskin",
    "layer2": "tgheroes:militant/millitant_gy_layer2",
    "shield": "tgheroes:militant/hydra_shield"
});

var utils = implement("fiskheroes:external/utils");

function init(renderer) {
    parent.init(renderer);
}

function initEffects(renderer) {
    var equipped = renderer.bindProperty("fiskheroes:equipped_item");
    equipped.setItems([
        { "anchor": "body", "scale": 1.0, "offset": [0.0, 5.0, 2.75], "rotation": [90.0, -180.0, 0.0] }
    ]);
    equipped.addOffset("QUIVER", -0.5, 0.0, 2.36);
	    parent.initEffects(renderer);
    utils.addLivery(renderer, "SHIELD", "shield");
}
